> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Browse Appointment Definition Staff

> A `GET` to the `/appointment-definitions/{appointmentDefinitionId}/staff` endpoint allows your application to retrieve all staff assigned to an appointment definition.



## OpenAPI

````yaml get /v3/appointment-definitions/{appointmentDefinition}/staff
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/appointment-definitions/{appointmentDefinition}/staff:
    get:
      tags:
        - Appointment Definition Staff
      summary: Browse Appointment Definition Staff
      description: >-
        A `GET` to the
        `/appointment-definitions/{appointmentDefinitionId}/staff` endpoint
        allows your application to retrieve all staff assigned to an appointment
        definition.
      operationId: appointment-definitions.staff.index
      parameters:
        - name: appointmentDefinition
          in: path
          required: true
          description: The appointment definition ID
          schema:
            type: integer
      responses:
        '200':
          description: Array of `AppointmentDefinitionStaff`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/AppointmentDefinitionStaff'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    AppointmentDefinitionStaff:
      type: object
      properties:
        id:
          type: integer
        appointment_definition_id:
          type: integer
        staff_id:
          type: string
        is_active:
          type: boolean
        staff:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            first_name:
              type:
                - string
                - 'null'
            last_name:
              type:
                - string
                - 'null'
            email:
              type: string
            mobile_phone:
              type:
                - string
                - 'null'
            normal_hours:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                  day_of_week:
                    type: string
                  available_from:
                    type: string
                  available_until:
                    type: string
                  is_closed:
                    type: string
                required:
                  - id
                  - day_of_week
                  - available_from
                  - available_until
                  - is_closed
            special_hours:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  is_repeating:
                    type: string
                  available_from:
                    type: string
                  available_until:
                    type: string
                  start_at:
                    type: string
                  end_at:
                    type: string
                required:
                  - id
                  - name
                  - is_repeating
                  - available_from
                  - available_until
                  - start_at
                  - end_at
          required:
            - id
            - first_name
            - last_name
            - email
            - mobile_phone
            - normal_hours
            - special_hours
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - appointment_definition_id
        - staff_id
        - is_active
        - staff
        - created_at
        - updated_at
      title: AppointmentDefinitionStaff
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````